(define-module (type asterisk-uint)
    :use-module (alterator woo)
    :export (type))

(define (valid-range? v)
  (and (number? v) (< -1 v 2147483648)))

(define (type v _)
  (or (and (string? v) (string-null? v))
      (and (string? v) (valid-range? (string->number v)))
      (and (number? v) (valid-range? v))
      (type-error (_ "invalid integer"))))

